<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) INRIA - Serge Steer
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="eval3d">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>eval3d</refname>
    <refpurpose> values of a function on a grid</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>[z]=eval3d(fun,x,[y])</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Parameters</title>
    <variablelist>
      <varlistentry>
        <term>fun</term>
        <listitem>
          <para>function accepting vectors as arguments.</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>x,y</term>
        <listitem>
          <para>2 vectors of size (1,n1) and (1,n2). (default value for <literal>y</literal> : <literal>y=x</literal>).</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>z</term>
        <listitem>
          <para>matrix of size (n1,n2).</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para>
    This function returns a matrix <literal>z(n1,n2)</literal>. <literal>z(i,j)=fun(x(i),y(j))</literal>. 
    If the function <literal>fun</literal> doesn't accept arguments of type vector use the
    primitive <literal>feval</literal>.</para>
  </refsection>
  <refsection>
    <title>Examples</title>
    <programlisting role="example"><![CDATA[ 
x=-5:5;y=x;
deff('[z]=f(x,y)',['z= x.*y']);
z=eval3d(f,x,y);
plot3d(x,y,z);

deff('[z]=f(x,y)',['z= x*y']);
z=feval(x,y,f);
plot3d(x,y,z);
 ]]></programlisting>
  </refsection>
  <refsection>
    <title>See Also</title>
    <simplelist type="inline">
      <member>
        <link linkend="feval">feval</link>
      </member>
    </simplelist>
  </refsection>
  <refsection>
    <title>Authors</title>
    <para>Steer S.; ; ;   </para>
  </refsection>
</refentry>
